﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CharnyPluginSystem;
using CPSExampleCSharp;

namespace PluginExample
{
    public class NewPlugin : IPlugin
    {
        public void ActivatePlugin(object obj)
        {
            (obj as Form1).SetText("Testing Plugin");
        }

        public string Author 
        { 
            get 
            {
                return "Jean-Simon Ratté";
            }
        }

        public DateTime CreationDate 
        {
            get 
            { 
                return DateTime.Now; 
            }
        }

        public string Description 
        {
            get
            {
                return "This is a plugin example";
            }
        }

        public string Name 
        {
            get
            {
                return "PLUGIN TEST";
            }
        }
    }
}
